Subject: bug#7987: 23.2; Refill error in message-mode

From: Glenn Morris <[email-masked]>
Date: Mon, 07 Feb 2011 15:43:54 -0500

Jesse Sheidlower wrote:

> $ emacs -Q
> M-x message-mode
> (type or paste the following text, not including dashes):
>
> ---
> I read with great interest your text, the "Declaration of Independence,"
> and I was particularly taken with the introduction:
>
>   When in the Course of human events it becomes necessary for one people
>   to dissolve the 
>   political bands which have connected them with another
>   and to assume among the powers of the earth, the separate 
>   and equal
>   station to which the Laws of Nature and of Nature's God entitle them,
>   a decent respect to the opinions of mankind requires 
>   that they should
>   declare the causes which impel them to the separation.
>
> I do think this is one of my favorite passages. Thank you.
> ---
>
> Position point anywhere in the indented section, and type M-q.  The text
> will be refilled such that there's no space before or after the indented
> paragraph, the first line of the indented paragraph will be indented
> four spaces, and the second and subsequent lines should be indented
> eight spaces.

This is an artificial example because it is not how a mail buffer
normally looks. The message filling code does different things in the
header and in the body of an email. Since your example does not contain
`mail-header-separator', message thinks it is in the header and fills
accordingly. If you insert `mail-header-separator' at the start of your
example buffer, message fills the paragraph correctly.

Do you have an example of an actual mail composition buffer where the
message filling code does the wrong thing?